Bug 556721 - The tip "If you quit right now, your downloads will continue ..." is wrapped where it probably should not be
The tip "If you quit right now, your downloads will continue ..." is wrapped ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-19 03:26 EST by Jan Pazdziora
Modified: 2013-01-21 23:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-21 23:28:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the preupgrade window. (26.92 KB, image/png)
2010-01-19 03:26 EST, Jan Pazdziora
no flags Details

  None (edit)
Description Jan Pazdziora 2010-01-19 03:26:10 EST
Created attachment 385337 [details]
Screenshot of the preupgrade window.

Description of problem:

While running preupgrade, a Tip

  If you quit right now, your downloads will
  continue the next time you run this assistant.

is shown. It is wrapped before the word continue, even if there is enough width in the window for a couple more words.

Version-Release number of selected component (if applicable):

preupgrade-1.1.4-1.fc11.noarch

How reproducible:

Seen once, I expect it to be deterministic.

Steps to Reproduce:
1. Run preupgrade on Fedora 11.
2. Look at the Tip at the bottom of the window.
  
Actual results:

The text of the Tip is wrapped too narrow.

Expected results:

The text of the Tip should nicely fill the whole width.

Additional info:
Comment 1 Bug Zapper 2010-04-28 07:44:23 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jan Pazdziora 2010-05-20 04:09:53 EDT
Marking as Fedora 13/14 issue:

$ rpm -q preupgrade
preupgrade-1.1.6-1.fc14.noarch
Comment 3 Bug Zapper 2010-07-30 06:49:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Gordon 2012-04-01 21:28:26 EDT
This still occurs with preupgrade-1.1.10-1.fc16, attempting to upgrade to Rawhide (Beefy Miracle) from an updated Fedora 16.
Comment 5 Fedora End Of Life 2012-08-16 15:55:29 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jan Pazdziora 2012-08-17 04:40:36 EDT
Moving version to Fedora 16 because of comment 4.
Comment 7 Fedora End Of Life 2013-01-16 20:21:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jan Pazdziora 2013-01-17 04:20:30 EST
So, this issue seems to resolve itself after three years with preupgrade no longer finding Fedora 18. :-(
Comment 9 Peter Gordon 2013-01-21 23:28:59 EST
(In reply to comment #8)
> So, this issue seems to resolve itself after three years with preupgrade no
> longer finding Fedora 18. :-(

Agreed. I'm closing this as WONTFIX, since PreUpgrade is no longer used.

Note You need to log in before you can comment on or make changes to this bug.